uk.ac.starlink.pds4

## Interface Field

- All Superinterfaces:
    RecordItem

      public interface Field
      extends RecordItem

  Characterises PDS4 Field_* objects. These correspond to table columns.
  Since:
    24 Nov 2021
  See Also:
    PDS4 Common Data Dictionary

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getBlankConstants()` Returns a set of string values representing data values in this field which are to be mapped to null values when reading data.
    `java.lang.String` | `getDescription()` Returns the description string associated with this field.
    `int` | `getFieldLength()` Returns the number of bytes this field occupies in a fixed-length record.
    `int` | `getFieldLocation()` Returns the 1-based byte offset into the fixed-length record at which this field is found.
    `gov.nasa.pds.label.object.FieldType` | `getFieldType()` Returns the field data type object.
    `java.lang.String` | `getName()` Returns the field name.
    `java.lang.String` | `getUnit()` Returns the unit string associated with this field.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the field name.
      Returns:
        field name

    - #### getFieldType

          gov.nasa.pds.label.object.FieldType getFieldType()

      Returns the field data type object. This can be used to decode the data.
      Returns:
        field type

    - #### getFieldLocation

          int getFieldLocation()

      Returns the 1-based byte offset into the fixed-length record at which this field is found. This is the PDS4 `field_location` item, and only appears for Binary and Character fields.
      Returns:
        1-based field location byte offset, or negative value for Delimited fields

    - #### getFieldLength

          int getFieldLength()

      Returns the number of bytes this field occupies in a fixed-length record. This is the PDS4 `field_length` item, and only appears for Binary and Character fields.
      Returns:
        field byte count, or negative value for Delimited fields

    - #### getUnit

          java.lang.String getUnit()

      Returns the unit string associated with this field.
      Returns:
        field unit, or null

    - #### getDescription

          java.lang.String getDescription()

      Returns the description string associated with this field.
      Returns:
        description text, or null

    - #### getBlankConstants

          java.lang.String[] getBlankConstants()

      Returns a set of string values representing data values in this field which are to be mapped to null values when reading data.
      Returns:
        array of blank value representations